sigc-web-public/src/main/java/co/gov/igac/snc/web/mb/actualizacion/InstalaComisionDeCampoUnificacionCriteriosMB.java
package co.gov.igac.snc.web.mb.actualizacion;

import java.util.List;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import co.gov.igac.generales.dto.UsuarioDTO;
import co.gov.igac.snc.persistence.entity.actualizacion.Actualizacion;
import co.gov.igac.snc.persistence.entity.actualizacion.ActualizacionEvento;
import co.gov.igac.snc.persistence.entity.actualizacion.EventoAsistente;
import co.gov.igac.snc.web.mb.generales.MenuMB;
import co.gov.igac.snc.web.mb.tareas.TareasPendientesMB;
import co.gov.igac.snc.web.util.SNCManagedBean;

/**
 *
 *
 * @author javier.aponte
 *
 */
@Component("instalaComisionDeCampoUnificacionCriterios")
@Scope("session")
public class InstalaComisionDeCampoUnificacionCriteriosMB extends SNCManagedBean {

    /**
     *
     */
    private static final long serialVersionUID = 3347869109786075919L;

    /**
     * managed bean que maneja la interacción con el árbol de tareas
     */
    @Autowired
    private TareasPendientesMB tareasPendientesMB;

    private UsuarioDTO usuario;

    private Actualizacion currentActualizacion;

    private boolean banderaAgregarAsistente;

    private ActualizacionEvento actualizacionEventoSeleccionado;

    private EventoAsistente asistenteInvitadoSeleccionado;

    private List<EventoAsistente> asistentesInvitados;

    @PostConstruct
    public void init() {
        this.usuario = MenuMB.getMenu().getUsuarioDto();

//		this.currentActivity = this.tareasPendientesMB.getInstanciaSeleccionada();
//		
//		Long idActualizacion = this.tareasPendientesMB.getInstanciaSeleccionada().getIdObjetoNegocio();
        Long idActualizacion = 250L;

        this.currentActualizacion = this.getActualizacionService().recuperarActualizacionPorId(
            idActualizacion);

    }

    public void mostrarAgregarAsistente() {
        if (banderaAgregarAsistente == false) {
            this.banderaAgregarAsistente = true;
        } else {
            this.banderaAgregarAsistente = false;
        }
    }

    public void agregarAsistenteInvitado() {
        this.asistenteInvitadoSeleccionado.setActualizacionEvento(
            this.actualizacionEventoSeleccionado);

        this.asistenteInvitadoSeleccionado = this.getActualizacionService().
            guardarYactualizarEventoAsistente(asistenteInvitadoSeleccionado);

        this.asistentesInvitados.add(asistenteInvitadoSeleccionado);

        this.asistenteInvitadoSeleccionado = new EventoAsistente();
    }

    public Actualizacion getCurrentActualizacion() {
        return currentActualizacion;
    }

    public void setCurrentActualizacion(Actualizacion currentActualizacion) {
        this.currentActualizacion = currentActualizacion;
    }

    public EventoAsistente getAsistenteInvitadoSeleccionado() {
        return asistenteInvitadoSeleccionado;
    }

    public void setAsistenteInvitadoSeleccionado(
        EventoAsistente asistenteInvitadoSeleccionado) {
        this.asistenteInvitadoSeleccionado = asistenteInvitadoSeleccionado;
    }

    public boolean isBanderaAgregarAsistente() {
        return banderaAgregarAsistente;
    }

    public void setBanderaAgregarAsistente(boolean banderaAgregarAsistente) {
        this.banderaAgregarAsistente = banderaAgregarAsistente;
    }

    public List<EventoAsistente> getAsistentesInvitados() {
        return asistentesInvitados;
    }

    public void setAsistentesInvitados(List<EventoAsistente> asistentesInvitados) {
        this.asistentesInvitados = asistentesInvitados;
    }

    public ActualizacionEvento getActualizacionEventoSeleccionado() {
        return actualizacionEventoSeleccionado;
    }

    public void setActualizacionEventoSeleccionado(
        ActualizacionEvento actualizacionEventoSeleccionado) {
        this.actualizacionEventoSeleccionado = actualizacionEventoSeleccionado;
    }

}

sigc-web-public/src/main/java/co/gov/igac/snc/web/util/SNCManagedBean.java
package co.gov.igac.snc.web.util;

import co.gov.igac.snc.util.Constantes;
import java.io.IOException;
import java.util.List;
import java.util.Map;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.component.UIInput;
import javax.faces.component.UIViewRoot;
import javax.faces.context.FacesContext;
import javax.faces.model.SelectItem;
import javax.servlet.http.HttpSession;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import co.gov.igac.snc.util.constantes.ConstantesNavegacionWeb;
import co.gov.igac.snc.web.controller.AbstractLocator;
import co.gov.igac.snc.web.mb.conservacion.ProyectarConservacionMB;
import co.gov.igac.snc.web.mb.conservacion.proyeccion.EntradaProyeccionMB;
import co.gov.igac.snc.web.mb.conservacion.proyeccion.FichaMatrizMB;
import co.gov.igac.snc.web.mb.generales.GeneralMB;
import org.primefaces.context.RequestContext;

/*
 * @modified pedro.garcia 30-08-2012 Cambio de nombre de la clase (para no confundirla con la de
 * faces)
 */
public class SNCManagedBean extends AbstractLocator {

    /**
     *
     */
    private static final long serialVersionUID = -1971839772790505202L;
    /**
     * Variables especificas para el codigo estructurado y asignarle los valores del buscador
     */
    //DetalleCodigoEstructurado detalleCodigoEstructurado = new DetalleCodigoEstructurado();

    protected final String DEFAULT_COMBOS = "Seleccionar...";

    protected final String DEFAULT_COMBOS_TODOS = "Todos";

    private static final Logger LOGGER = LoggerFactory.getLogger(SNCManagedBean.class);

    public SNCManagedBean() {

    }

    /**
     *
     */
    public void invalidarSesion() {
        LOGGER.debug("invalidarSesion");
        try {
            // clearKeepAlive();
            // clearView();
            HttpSession sesion = (HttpSession) FacesContext.getCurrentInstance().
                getExternalContext().getSession(false);
            if (sesion != null) {
                sesion.removeAttribute("user");
                sesion.invalidate();
            }
        } catch (Exception e) {
            LOGGER.error(e.getMessage(), e);
        }
    }

    public void addMensajeError(Exception exception) {
        FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(
            FacesMessage.SEVERITY_ERROR, exception.getMessage(), exception.toString()));
    }

    public void addMensajeError(String mensaje) {
        FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(
            FacesMessage.SEVERITY_ERROR, mensaje, null));
    }

    public void addMensajeErrorWithCallback(String mensaje) {
        FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(
            FacesMessage.SEVERITY_ERROR, mensaje, null));
        this.addErrorCallback();
    }

    public void addMensajeError(String idComponente, String mensaje) {
        FacesContext.getCurrentInstance().addMessage(idComponente, new FacesMessage(
            FacesMessage.SEVERITY_ERROR, mensaje, null));
    }

    public void addMensajeInfo(String mensaje) {
        FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(
            FacesMessage.SEVERITY_INFO, mensaje, mensaje));
    }

    public void addMensajeInfo(String idComponente, String mensaje) {
        FacesContext.getCurrentInstance().addMessage(idComponente, new FacesMessage(
            FacesMessage.SEVERITY_INFO, mensaje, null));
    }

    public void addMensajeWarn(String mensaje) {
        FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(
            FacesMessage.SEVERITY_WARN, mensaje, null));
    }

    public void addMensajeWarn(String idComponente, String mensaje) {
        FacesContext.getCurrentInstance().addMessage(idComponente, new FacesMessage(
            FacesMessage.SEVERITY_WARN, mensaje, null));
    }

    public void resetearUIInput(String[] idsUiInput) {
        UIViewRoot viewRoot = FacesContext.getCurrentInstance().getViewRoot();
        UIComponent comp = null;
        for (int i = 0; i < idsUiInput.length; i++) {
            comp = viewRoot.findComponent(idsUiInput[i]);
            if (comp != null && comp instanceof UIInput) {
                ((UIInput) comp).resetValue();
            }
        }
    }

    public void removerBeanKeepAlive(String bean) {
        UIViewRoot viewRoot = FacesContext.getCurrentInstance().getViewRoot();
        Map<String, Object> atributos = viewRoot.getAttributes();
        atributos.remove("org.ajax4jsf.viewbean:" + bean);
    }

    public void removerAtributoDeUIViewRoot(String atributo) {
        UIViewRoot viewRoot = FacesContext.getCurrentInstance().getViewRoot();
        Map<String, Object> atributos = viewRoot.getAttributes();
        atributos.remove(atributo);
    }

    public String getInitParameter(String parameterName) {
        return FacesContext.getCurrentInstance().getExternalContext().
            getInitParameter(parameterName);
    }

    public Map<String, String> getRequestParameterMap() {
        return FacesContext.getCurrentInstance().getExternalContext().getRequestParameterMap();
    }

    public Map<String, Object> getRequestMap() {
        return FacesContext.getCurrentInstance().getExternalContext().getRequestMap();
    }

    public Map<String, Object> getSessionMap() {
        return FacesContext.getCurrentInstance().getExternalContext().getSessionMap();
    }

    public Map<String, Object> getApplicationMap() {
        return FacesContext.getCurrentInstance().getExternalContext().getApplicationMap();
    }

    public Object getRequestAttribute(String attributeName) {
        Map<String, Object> map = getRequestMap();
        return map.get(attributeName);
    }

    public void setRequestAttribute(String attributeName, Object attributeValue) {
        Map<String, Object> map = getRequestMap();
        map.put(attributeName, attributeValue);
    }

    public Object getSessionAttribute(String attributeName) {
        Map<String, Object> map = getSessionMap();
        return map.get(attributeName);
    }

    public void setSessionAttribute(String attributeName, Object attributeValue) {
        Map<String, Object> map = getSessionMap();
        map.put(attributeName, attributeValue);
    }

    public String getRequestParameter(String parameterName) {
        return getRequestParameterMap().get(parameterName);
    }

    public void setRequestParameter(String parameterName, String parameterValue) {
        getRequestParameterMap().put(parameterName, parameterValue);
    }

    public SelectItem getSelectItemPorValue(Object value, List<SelectItem> items) {
        SelectItem item = null;
        for (SelectItem selectItem : items) {
            if (value.equals(selectItem.getValue())) {
                item = selectItem;
                break;
            }
        }
        return item;
    }

    public boolean getErrores() {
        FacesContext fc = FacesContext.getCurrentInstance();
        if (fc.getMaximumSeverity() == null) {
            return false;
        } else if (fc.getMaximumSeverity().equals(FacesMessage.SEVERITY_ERROR) || fc.
            getMaximumSeverity().equals(FacesMessage.SEVERITY_FATAL)) {
            return true;
        } else {
            return false;
        }

    }
//--------------------------------------------------------------------------------------------------	

    /**
     * Obtiene el token actualizado de seguridad para AGS
     *
     * @return
     */
    public String getTokenParam() {
        String token = "vacio";
        /* try { token = MenuMB.getMenu().getUsuarioWithGISAuthorization().getSigToken().getToken().
         * toString(); } catch(Exception ex) { LOGGER.error("No se pudo obtener el token de
         * seguridad de SIG: " + ex.getMessage()); token = "";
        } */
        return token;
    }

    public void setTokenParam() {
        //Vacío para cumplir con el estándar
    }

//--------------------------------------------------------------------------------------------------
    /**
     * Lanza un error de servidor para que el llamado ajax falle y se pueda usar el atributo
     * 'onError' de los componentes de primefaces
     *
     * @author pedro.garcia
     */
    public void throwErrorForAjax(String cause) {
        LOGGER.debug("lanzando error");
        try {
            FacesContext.getCurrentInstance().getExternalContext().responseSendError(500,
                "error lanzado: " + cause);
        } catch (IOException ex) {
            LOGGER.error("error lanzando error");
        }
    }

//--------------------------------------------------------------------------------------------------
    /**
     * Action del botón "cerrar" de la página principal de algún CU Método encargado de cerrar la
     * páginc del CU, terminar la sesión y redireccionar a la lista de tareas
     *
     * @author pedro.garcia
     */
    public String cerrarVentanaCUIrAListaTareas() {

        UtilidadesWeb.removerManagedBeans();

        return ConstantesNavegacionWeb.INDEX;
    }
//--------------------------------------------------------------------------------------------------

    public String getDEFAULT_COMBOS() {
        return this.DEFAULT_COMBOS;
    }

    /**
     * Agrega un evento de error al contexto necsario para bloquear acciones de elemnetos emergentes
     * cuando se presenta un error
     *
     * @author felipe.cadena
     */
    public void addErrorCallback() {
        RequestContext context = RequestContext.getCurrentInstance();
        context.addCallbackParam(Constantes.ERROR_REQUEST_CONTEXT, Constantes.ERROR_REQUEST_CONTEXT);
    }

    /**
     * Retorna una instancia del MB generales
     *
     * @author felipe.cadena Retorna el MB de proyeccion
     *
     * felipe.cadena
     * @return
     */
    public ProyectarConservacionMB getProyectarConservacionMB() {
        return (ProyectarConservacionMB) UtilidadesWeb.getManagedBean("proyectarConservacion");
    }

sigc-web-public/src/main/webapp/actualizacion/alistamiento/bloquearPrediosParaZonasEspecialesSeleccionVisorGeografico.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author  javier.barajas
@description  Pantalla de llamado al visor
@cu  CU-NP-FA-213 Bloquear predios para zonas en condiciones especiales
@version  1.0
@modified: javier.barajas inclusion de iconos a los botones

TODO: si se hace update de toda la forma en alguno de los botones de acción, la interacción con el
mapa se daña.

-->


<h:form id="seleccionVisorGeofraficoForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

    <h:inputHidden id="paramSeleccionPrediosActualizacion"
                   value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.valorSeleccionActualizacion}" />
    <!-- Input para enviar parámetro con codigos de predios -->
    <h:inputHidden id="codigoManzanasHidden666"
                   value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.seleccionVisor}" 
                   />

    <!-- commandLink para activar el envio de numeros prediales desde el visor -->
    <p:commandLink id="linkAdicionarManzanasASeleccionados666"
                   process="@this, codigoManzanasHidden666"
                   style="visibility: hidden" />
    <p:messages id="msgsSVG" showDetail="false" globalOnly="false" />

    <p:spacer height="5" />


    <legend>
        <h:outputText styleClass="legendTitle"
                      value="Seleccionar manzanas mediante visor geografico" />
    </legend>

    <p:panel header="Seleccion Barrios a Mostrar por el Visor">
        <h:panelGrid columns="2" cellspacing="7" >
            <h:outputText value="Numero de Barrios:" />
            <h:outputText value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.numeroBarriosMunicipio}" />
            <h:outputText value="Seleccione el Barrio:" />
            <h:selectOneMenu id="departamentoSeleccionado" label="Departamento"
                             value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.seleccionBarrio}">
                <f:selectItem itemLabel="Barrios..." itemValue="" />
                <f:selectItems value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.selectListaBarrios}" />
                <p:ajax listener="#{bloquearPrediosParaZonasEnCondicionesEspeciales.cargarManzanasVisor}"/>
            </h:selectOneMenu>
        </h:panelGrid>
    </p:panel>

    <p:panel header="Seleccion" rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.rederedConsultaVisor}">

        <h:panelGrid columns="2" cellspacing="7"  >
            <h:outputText value="Numero de Manzanas:" />
            <h:outputText value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.numeroManzanasSeleccionadas}" />
            <h:outputText value="Numero de Predios:" />
            <h:outputText value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.numeroPrediosSeleccionados}" />
        </h:panelGrid>
    </p:panel>

    <h:panelGrid columns="4" cellspacing="7">
        <p:commandButton id="verMapa" widgetVar="verMapaVar" value="Ver mapa"
                         icon="ui-icon-image"
                         onclick="cargarMapaZoomToFeature('#{bloquearPrediosParaZonasEnCondicionesEspeciales.applicationClientName}',
                                         '#{bloquearPrediosParaZonasEnCondicionesEspeciales.tokenParam}',
                                         '#{bloquearPrediosParaZonasEnCondicionesEspeciales.moduleLayer}',
                                         '#{bloquearPrediosParaZonasEnCondicionesEspeciales.moduleTools}',
                                         '#{bloquearPrediosParaZonasEnCondicionesEspeciales.codigoPrediosParaVisor}');"/>

        <p:commandButton id="cargarSeleccion" action="#{bloquearPrediosParaZonasEnCondicionesEspeciales.seleccionVisorManzanas}" 
                         value="Cargar Seleccion" update=":seleccionVisorGeofraficoForm"
                         icon="ui-icon-plus"/>

        <p:commandButton id="volver" value="Volver" onclick="hide()" icon="ui-icon-close"
                         update=":bloquearPredioEnCondicionesEspecialesTabView:bloquearPrediosEspecialesForm" />


    </h:panelGrid>



    <ui:include src="../../util/visorGeografico.xhtml" />	

</h:form>

sigc-web-public/src/main/webapp/actualizacion/alistamiento/exportarInformacionDeManzanas.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
@modified: javier.barajas incorporacion de metodos para interactuar con la base de datos, y incoporacion del visor geografico
@modified: javier.barajas 12/12/12 Inclusion del cabezote de actualizacion, inconos a los botones 
@cu CU-NP-FA-209 Exportar información de manzanas

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:actualizacion="http://java.sun.com/jsf/composite/actualizacion"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Exportar información de manzanas::.
    </ui:define>

    <ui:define name="content">
        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <p:messages id="msgsExportarManzanas" showDetail="false"
                    globalOnly="false" />

        <actualizacion:actualizacionResumenCC id="actualizacionResumen"
                                              actualizacionParam="#{exportarInformacionDeManzanas.actualizacionSeleccionada}"/>

        <p:spacer height="30" width="0" />

        <h:form id="exportarManzanasForm" >
            <p:panel header="Exportar información de manzanas" >

                <h:panelGrid columns="2">
                    <h:outputLabel value="Seleccione Topógrafo: " styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="topografoSeleccionado" label="Topografo"
                                     value="#{exportarInformacionDeManzanas.selecionTopografo}">
                        <f:selectItem itemLabel="Seleccionar..." itemValue="" />
                        <f:selectItems value="#{exportarInformacionDeManzanas.selectTopografo}" />
                        <p:ajax update=":exportarManzanasForm" 
                                listener="#{exportarInformacionDeManzanas.cargarManzanasaExportar}"/>
                    </h:selectOneMenu>
                </h:panelGrid>
                <p:spacer height="10" width="0" />

                <h:panelGroup rendered="#{exportarInformacionDeManzanas.rendererManzanasExportar}">
                    <h:panelGrid width="40%" >
                        <p:dataTable value="#{exportarInformacionDeManzanas.manzanasExportar}" var="manzanasVar"
                                     id="manzanasVarTable" paginator="true" rows="10"
                                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                     paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                                     emptyMessage="No se encontraron trámites"
                                     rowKey="#{manzanasVar.id}" selection="#{exportarInformacionDeManzanas.selectManzanas}">

                            <p:ajax event="rowSelect"
                                    update=":exportarManzanasForm" 
                                    listener="#{exportarInformacionDeManzanas.rowSelected}"/>

                            <p:column selectionMode="multiple" />

                            <p:column headerText="Manzanas / Áreas"
                                      sortBy="#{manzanasVar.identificador}">

                                <p:commandLink
                                    oncomplete="cargarMapaZoomToFeature(
                                    '#{exportarInformacionDeManzanas.applicationClientName}', 
                                    '#{exportarInformacionDeManzanas.tokenParam}', 
                                    '#{exportarInformacionDeManzanas.moduleLayer}', 
                                    '#{exportarInformacionDeManzanas.moduleTools}', 
                                    '#{manzanasVar.identificador}');">

                                    <h:outputText id="identificador" style="width:150px"
                                                  styleClass="commandLinkStyle"
                                                  value="#{manzanasVar.identificador}" />

                                </p:commandLink>


                            </p:column>

                        </p:dataTable>

                    </h:panelGrid>

                    <h:panelGrid columns="2">
                        <h:outputLabel value="Formato de exportación"
                                       styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />

                        <p:selectOneMenu id="formatoExportacion" value="#{exportarInformacionDeManzanas.seleccionExportacion}" 
                                         required="true">  
                            <f:selectItem itemLabel="Seleccionar Exportacion" itemValue="" />  
                            <f:selectItem itemLabel=".shp - Shape" itemValue="shp" />
                            <f:selectItem itemLabel=".dwg - Drawing" itemValue="dwg" />
                            <f:selectItem itemLabel=".dxf - Drawing Exchange Format" itemValue="dxf" />
                            <p:ajax update=":exportarManzanasForm" 
                                    listener="#{exportarInformacionDeManzanas.rowSelectedExportar}"/>
                        </p:selectOneMenu>


                    </h:panelGrid>

                    <p:spacer height="20" width="20" />

                    <h:panelGrid columns="6">

                        <p:spacer height="10" width="10" />

                        <p:commandButton id="botonVisor" value=" Ver área asignada" 
                                         icon="ui-icon-image"
                                         onclick="cargarMapaZoomToFeature(
                                                         '#{exportarInformacionDeManzanas.applicationClientName}',
                                                         '#{exportarInformacionDeManzanas.tokenParam}',
                                                         '#{exportarInformacionDeManzanas.moduleLayer}',
                                                         '#{exportarInformacionDeManzanas.moduleTools}',
                                                         '#{exportarInformacionDeManzanas.manzanaCodigo}');"/>

                        <p:spacer height="10" width="10" />							

                        <p:commandButton value="Solicitar planos de conjunto" icon="ui-icon-document"
                                         action="#{exportarInformacionDeManzanas.obtenerManzanas}"
                                         update=":exportarManzanasForm, :msgsExportarManzanas "
                                         process="@form"/>

                        <p:spacer height="10" width="10" />

                        <p:commandButton value="Exportar" icon="ui-icon-circle-check"
                                         action="#{exportarInformacionDeManzanas.exportarManzana}"
                                         title="Entrega información del área asignada"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide(); confirmacionExportacionWV.show();"
                                         update=":exportarManzanasForm, :msgsExportarManzanas"
                                         process="@form">
                        </p:commandButton>
                    </h:panelGrid>

                </h:panelGroup>	
            </p:panel>

            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar" update="msgInfoFis"
                                 icon="ui-icon-circle-close" immediate="true"
                                 action="#{exportarInformacionDeManzanas.cerrar}" ajax="false"
                                 onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />

        </h:form>
        <p:confirmDialog appendToBody="true"
                         message="¿Desea descargar el archivo de Exportación?"
                         width="400" header="Confirmación" 
                         widgetVar="confirmacionExportacionWV">
            <h:form>
                <p:commandButton value="Sí, Descargar documentos"
                                 id="descargarDocumentosBtn" oncomplete="confirmacionExportacionWV.hide()" 
                                 icon="ui-icon-check" process="@this" ajax="false">
                    <p:fileDownload value="#{exportarInformacionDeManzanas.archivosADescargar}" />
                </p:commandButton>
                <p:commandButton value="No" icon="ui-icon-close"
                                 onclick="confirmacionExportacionWV.hide()" type="button" />
            </h:form>
        </p:confirmDialog>
        <ui:include src="../../util/visorGeografico.xhtml" />
    </ui:define>
</ui:composition>

sigc-web-public/src/main/webapp/actualizacion/alistamiento/proyectarCorreoOrdenAjuste.xhtml
<?xml version="1.0" encoding="UTF-8"?>
<!--

CU-NP-FA-208 Proyecta el correo enviado sobre ordenar ajustes manzanas.

@author andres.eslava  
-->
<!DOCTYPE html>
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" id="oficioPerimetroUrbano"
        prependId="false">



</h:form>